<?php 

//incluir la conexion de base de datos
require "../config/Conexion.php";

class Promociones{


	//implementamos nuestro constructor
public function __construct(){

}


//metodo insertar registro
//insertar($idarticuloc,$idalmacen,$idusuario,$fecha_hora,$_POST["idarticulo"],
//			$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"])
public function insertar($idarticuloc,$idalmacenc,$idusuario,$fecha_hora,$tasa_dollar,$idarticulo,$idalmacen,$cantidad,$fecha_lote,$nrolote,$precio_ventad)
{
	
	$sql	="INSERT INTO articulopromociones (idarticulo,idalmacen,idusuario,fecha,estado,tasa_dollar) 
			VALUES ('$idarticuloc','$idalmacenc','$idusuario','$fecha_hora','Activo','$tasa_dollar')";
	//return ejecutarConsulta($sql);
	//$idpromocionesnew=50;
//	echo $sql; 
	$sw				=	true;
	$idpromocionesnew	=	ejecutarConsulta_retornarID($sql) or $sw;
	$num_elementos	=	0;
	$preciot				= 0;
	/* $numerolotep	= 	'0000000000';
	$fecha_lotep	=	$fecha_hora; */
	
	// Se procesa cada articulo 
	if ($sw){
		while ($num_elementos < count($idarticulo)) {
			//Se agrega el detalle de la compra
			
			 $sql_detalle	="INSERT INTO detalle_articulopromociones (idarticulopromociones,idarticuloorigen,idarticulo,idalmacen,cantidad,preciod) 
							 VALUES('$idpromocionesnew','$idarticuloc','$idarticulo[$num_elementos]','$idalmacen[$num_elementos]','$cantidad[$num_elementos]','$precio_ventad[$num_elementos]')";
	//		echo $sql_detalle;
			ejecutarConsulta($sql_detalle) or $sw=false;
			$preciot = $preciot + ($cantidad[$num_elementos]*$precio_ventad[$num_elementos]);
			$num_elementos=$num_elementos+1;
		 }
		 
	}
//Se actualiza el precio de la promocion en articulo
if ($sw){
	$sqla	="UPDATE articulo SET preciod='$preciot' WHERE idarticulo='$idarticuloc'";
	ejecutarConsulta($sqla) or $sw;
}
return $sw;	
}
//editar($idpromociones,$idproductoc,$idalmacenc,$idusuario,$fecha_hora,$tasa_dollar,$_POST["idarticulo"],$_POST["idalmacen"],$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"],$_POST["precio_ventad"]);
public function editar($idpromociones,$idarticuloc,$idalmacenc,$idusuario,$fecha_hora,$tasa_dollar,$idarticulo,$idalmacen,$cantidad,$fecha_lote,$nrolote,$precio_ventad)
{
	$num_elementos	=	0;
	$sw							=	true;
	$preciot				= 0;
	//Primero borramos el articulo y lo creamos de nuevo
	if ($sw){
		$sqldelete			= "DELETE FROM detalle_articulopromociones WHERE idarticulopromociones='$idpromociones'";
		echo $sqldelete;
		ejecutarConsulta($sqldelete) or $sw=false;
	}
	
	if ($sw){
		while ($num_elementos < count($idarticulo)) {
		
			$sql_detalle	="INSERT INTO detalle_articulopromociones (idarticulopromociones,idarticuloorigen,idarticulo,idalmacen,cantidad,preciod) 
			VALUES('$idpromociones','$idarticuloc','$idarticulo[$num_elementos]','$idalmacenc','$cantidad[$num_elementos]','$precio_ventad[$num_elementos]')";
			echo $sql_detalle;
			ejecutarConsulta($sql_detalle) or $sw=false;
			$preciot = $preciot + ($cantidad[$num_elementos]*$precio_ventad[$num_elementos]);
			$num_elementos=$num_elementos+1;
		}
	}	
	//Se actualiza el precio de la promocion en articulo en combo
	if ($sw){
		$sqla	="UPDATE articulo SET preciod='$preciot' WHERE idarticulo='$idarticuloc'";
		ejecutarConsulta($sqla) or $sw;
	}
	return $sw;
}

public function anular($idpromociones){
	$sql=	"UPDATE promociones SET estado='Anulado' WHERE idarticulopromociones='$idpromociones'";
	return ejecutarConsulta($sql);
}


//metodo para mostrar registros
public function mostrar($idpromociones){
	$sql=	"SELECT i.idarticulopromociones, i.idarticulo, i.idalmacen,DATE(i.fecha) as fecha,u.idusuario,u.nombre as usuario, i.estado	FROM articulopromociones i INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.idarticulopromociones='$idpromociones'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para mostrar registros
public function buscarnrosuministro(){
	$sql=	"SELECT COUNT(idpromociones) as nrosuministro FROM promociones WHERE tipo_comprobante='Suministro' AND DATE_FORMAT(fecha_hora, '%Y%m%d') = DATE_FORMAT(now(), '%Y%m%d')";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un almacen
public function buscarAlmacen($almacen){
	$sql=	"SELECT * FROM almacen WHERE nombre='$almacen'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listarDetalle($idpromociones){
	$sql=	"SELECT di.idarticulopromociones,di.idarticuloorigen,di.idarticulo,a.nombre,di.cantidad,di.idalmacen,di.preciod, ar.tasa_dollar FROM detalle_articulopromociones di INNER JOIN articulo a ON di.idarticulo=a.idarticulo INNER JOIN articulopromociones ar ON di.idarticulopromociones=ar.idarticulopromociones WHERE di.idarticulopromociones='$idpromociones'";
	//$sql=	"SELECT di.idarticulocompuesto,di.idarticuloorigen,di.idarticulo,a.nombre,di.cantidad,di.idalmacen FROM detalle_articulocompuesto di INNER JOIN articulo a ON di.idarticulo=a.idarticulo WHERE di.idarticuloorigen='$idpromociones'";
	return ejecutarConsulta($sql);
}

public function listarDetallepromociones($idpromociones){
	//$sql=	"SELECT di.idarticulocompuesto,di.idarticuloorigen,di.idarticulo,a.nombre,di.cantidad,di.idalmacen FROM detalle_articulocompuesto di INNER JOIN articulo a ON di.idarticulo=a.idarticulo WHERE di.idarticulocompuesto='$idpromociones'";
	$sql=	"SELECT di.idarticulopromociones,di.idarticuloorigen,di.idarticulo,a.nombre,di.cantidad,di.idalmacen,di.preciod, ar.tasa_dollar FROM detalle_articulopromociones di INNER JOIN articulo a ON di.idarticulo=a.idarticulo INNER JOIN articulopromociones ar ON di.idarticulopromociones=ar.idarticulopromociones WHERE di.idarticuloorigen='$idpromociones'";
	//return $sql;
	return ejecutarConsulta($sql);
}




//Buscamos un producto por el codigo de barra
public function agregarDetalleCodigoDeBarra($codigobarra){
	//$sql= 'SELECT * FROM articulo WHERE stock>0 AND codigo="$codigobarra"';
	//$sql= 'SELECT * FROM articulo WHERE codigo=:codigobarra';
	$sql= 'SELECT * FROM articulo WHERE codigo="$codigobarra"';
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql=	"SELECT a.idarticulopromociones, a.idarticulo, ar.nombre, a.estado, a.idusuario, u.nombre as usuario,a.fecha FROM articulopromociones a INNER JOIN articulo ar ON ar.idarticulo=a.idarticulo INNER JOIN usuario u ON a.idusuario=u.idusuario ORDER BY a.idarticulopromociones DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listara(){
	$sql=	"SELECT i.idpromociones,DATE(i.fecha_hora) as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_suministro FROM promociones i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.serie_comprobante<>'N/A' ORDER BY i.idpromociones DESC";
	return ejecutarConsulta($sql);
}

//listar registros
public function listars(){
	$sql=	"SELECT i.idpromociones,DATE(i.fecha_hora) as fecha,i.idproveedor,p.nombre as proveedor,u.idusuario,u.nombre as usuario, i.tipo_comprobante,i.serie_comprobante,i.num_comprobante,i.total_compra,i.impuesto,i.estado,i.num_suministro FROM promociones i INNER JOIN persona p ON i.idproveedor=p.idpersona INNER JOIN usuario u ON i.idusuario=u.idusuario WHERE i.num_suministro<>'N/A' ORDER BY i.idpromociones DESC";
	return ejecutarConsulta($sql);
}

}

 ?>
